at.chipkarte.client.dbas.soap

## Class DatenblattKoloskopie

- Object
- - at.chipkarte.client.dbas.soap.DatenblattKoloskopie

-     public class DatenblattKoloskopie
      extends Object

  Enthält die Eingangsdaten zum Aufruf der Funktion createDatenblattKoloskopie beziehungsweise der Funktion createDatenblattQZKoloskopie.
  ParameterID: 120500.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatenblattKoloskopie()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAusgang()` Ausgang - Grundinformation/Komplikationen/Makroskopischer Befund.
    `String` | `getBehandlung()` Behandlung - Grundinformation/Komplikationen/Makroskopischer Befund.
    `String` | `getGeburtsdatum()` Geburtsdatum des Patienten.
    `String` | `getGrundUnvollstaendigeKolo()` Grund für unvollstaendige Koloskopie - Grundinformation/Komplikationen/Makroskopischer Befund.
    `String` | `getInterKomplikationJa()` Komplikationsart - Grundinformation/Komplikationen/Makroskopischer Befund.
    `String` | `getInterventionspflichtig()` Interventionspflichtige Komplikationen - Grundinformation/Komplikationen/Makroskopischer Befund.
    `String` | `getKommentar()` Kommentar zum ÖGGH.
    `Long` | `getKonsultationId()` ID der gewählten Konsultation zum Datenblatt.
    `String[]` | `getMakroskopischerBefund()` Makroskopischer Befund - Grundinformation/Komplikationen/Makroskopischer Befund.
    `String` | `getOrt()` Ort des Patienten.
    `String` | `getPatientenzustimmung()` Einwilligungserklärung durch den Patienten unterschrieben.
    `String` | `getPostleitzahl()` Postleitzahl des Patienten.
    `String` | `getSedierungAnalgesie()` Sedierung oder Analgesie notwendig - Grundinformation/Komplikationen/Makroskopischer Befund.
    `String` | `getSvNummer()` Sv-Nummer des Patienten für den das Datenblatt übermittelt werden soll.
    `String` | `getUntersuchung()` Untersuchung.
    `DatenblattKoloskopieUntersuchungsergebnisse` | `getUntersuchungsergebnisse()` Untersuchungsergebnisse.
    `String` | `getVersionsnummer()` Version des Dokumentations-/Befundblattes.
    `String` | `getVorbereitungsqualitaet()` Vorbereitungsqualitaet - Grundinformation/Komplikationen/Makroskopischer Befund.
    `String` | `getZoekumErreicht()` Zoekum erreicht - Grundinformation/Komplikationen/Makroskopischer Befund.
    `void` | `setAusgang(String _ausgang)`
    `void` | `setBehandlung(String _behandlung)`
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setGrundUnvollstaendigeKolo(String _grundUnvollstaendigeKolo)`
    `void` | `setInterKomplikationJa(String _interKomplikationJa)`
    `void` | `setInterventionspflichtig(String _interventionspflichtig)`
    `void` | `setKommentar(String _kommentar)`
    `void` | `setKonsultationId(Long _konsultationId)`
    `void` | `setMakroskopischerBefund(String[] _makroskopischerBefund)`
    `void` | `setOrt(String _ort)`
    `void` | `setPatientenzustimmung(String _patientenzustimmung)`
    `void` | `setPostleitzahl(String _postleitzahl)`
    `void` | `setSedierungAnalgesie(String _sedierungAnalgesie)`
    `void` | `setSvNummer(String _svNummer)`
    `void` | `setUntersuchung(String _untersuchung)`
    `void` | `setUntersuchungsergebnisse(DatenblattKoloskopieUntersuchungsergebnisse untersuchungsergebnisse)`
    `void` | `setVersionsnummer(String _versionsnummer)`
    `void` | `setVorbereitungsqualitaet(String vorbereitungsqualitaet)`
    `void` | `setZoekumErreicht(String _zoekumErreicht)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatenblattKoloskopie

          public DatenblattKoloskopie()

  - ### Method Detail

    - #### getVersionsnummer

          public String getVersionsnummer()

      Version des Dokumentations-/Befundblattes.
      Mögliche Werte siehe `DatenblattVersionConstants`.
      Angabe: Muss.
      ParameterID: 129008.
      Returns:
        Versionsnummer

    - #### setVersionsnummer

          public void setVersionsnummer(String _versionsnummer)

    - #### getKonsultationId

          public Long getKonsultationId()

      ID der gewählten Konsultation zum Datenblatt.
      Format: 19-stellig.
      Angabe: Muss. (Auch im Falle der QZK-Erfassung. Der Wert wird hierbei bei der Verarbeitung ignoriert. Die Angabe kann z.B. mittels Werteangabe "0" erfolgen.)
      ParameterID: 129007.
      Returns:
        KonsultationId

    - #### setKonsultationId

          public void setKonsultationId(Long _konsultationId)

    - #### getSvNummer

          public String getSvNummer()

      Sv-Nummer des Patienten für den das Datenblatt übermittelt werden soll.
      Format: 10-stellig.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` (Eingangsparameter der Funktion `createDatenblattKoloskopie()` bzw.
      Returns:
        SvNummer

    - #### setSvNummer

          public void setSvNummer(String _svNummer)

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Geburtsdatum des Patienten.
      Format: 10-stellig im Format TT.MM.JJJJ
      Angabe: Bedingt (Muss angegeben werden, wenn die vom beim Aufruf `IDbasService.searchKonsultationData(String, String, String, String)` zurückgelieferte Struktur `PatientInfo` (enthalten in `KonsultationData`) kein gültiges Geburtsdatum enthält.)
      Hinweis: wenn am Server ein Geburtsdatum ermittelt werden konnte, so muss der Wert von `geburtsdatum` mit diesem übereinstimmen!
      Returns:
        Geburtsdatum

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)

    - #### getPostleitzahl

          public String getPostleitzahl()

      Postleitzahl des Patienten.
      Format: maximal 9-stellig, numerisch (0-9).
      Angabe: Muss.
      ParameterID: 120518.
      Returns:
        Postleitzahl

    - #### setPostleitzahl

          public void setPostleitzahl(String _postleitzahl)

    - #### getOrt

          public String getOrt()

      Ort des Patienten.
      Format: maximal 38-stellig.
      Angabe: Optional.
      ParameterID: 120519.
      Returns:
        Ort

    - #### setOrt

          public void setOrt(String _ort)

    - #### getKommentar

          public String getKommentar()

      Kommentar zum ÖGGH.
      Format: maximal 100-stellig.
      Angabe: Optional.
      ParameterID: 120547.
      Returns:
        Kommentar

    - #### setKommentar

          public void setKommentar(String _kommentar)

    - #### getPatientenzustimmung

          public String getPatientenzustimmung()

      Einwilligungserklärung durch den Patienten unterschrieben.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Bedingt (Muss angegeben werden bei Erfassung einer VU-Koloskopie. Darf nicht angegeben werden beim Erfassen einer QZ-Koloskopie).
      ParameterID: 120551.
      Returns:
        Patientenzustimmung

    - #### setPatientenzustimmung

          public void setPatientenzustimmung(String _patientenzustimmung)

    - #### getUntersuchung

          public String getUntersuchung()

      Untersuchung.
      Mögliche Werte siehe `UntersuchungTypConstants`.
      Angabe: Muss.
      ParameterID: 120552.
      Returns:
        Untersuchung

    - #### setUntersuchung

          public void setUntersuchung(String _untersuchung)

    - #### getVorbereitungsqualitaet

          public String getVorbereitungsqualitaet()

      Vorbereitungsqualitaet - Grundinformation/Komplikationen/Makroskopischer Befund.
      Mögliche Werte siehe `VorbereitungsqualitaetConstants`.
      Angabe: Muss.
      ParameterID: 120550.
      Returns:
        Vorbereitungsqualitaet

    - #### setVorbereitungsqualitaet

          public void setVorbereitungsqualitaet(String vorbereitungsqualitaet)

    - #### getSedierungAnalgesie

          public String getSedierungAnalgesie()

      Sedierung oder Analgesie notwendig - Grundinformation/Komplikationen/Makroskopischer Befund.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120520.
      Returns:
        SedierungAnalgesie

    - #### setSedierungAnalgesie

          public void setSedierungAnalgesie(String _sedierungAnalgesie)

    - #### getZoekumErreicht

          public String getZoekumErreicht()

      Zoekum erreicht - Grundinformation/Komplikationen/Makroskopischer Befund.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120521.
      Returns:
        ZoekumErreicht

    - #### setZoekumErreicht

          public void setZoekumErreicht(String _zoekumErreicht)

    - #### getGrundUnvollstaendigeKolo

          public String getGrundUnvollstaendigeKolo()

      Grund für unvollstaendige Koloskopie - Grundinformation/Komplikationen/Makroskopischer Befund.
      Mögliche Werte siehe `GrundUnvollstaendigeKoloConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn ZoekumErreicht "NEIN" (Nein) ist. Ansonsten ist keine Eingabe erlaubt).
      ParameterID: 120522.
      Returns:
        GrundUnvollstaendigeKolo

    - #### setGrundUnvollstaendigeKolo

          public void setGrundUnvollstaendigeKolo(String _grundUnvollstaendigeKolo)

    - #### getMakroskopischerBefund

          public String[] getMakroskopischerBefund()

      Makroskopischer Befund - Grundinformation/Komplikationen/Makroskopischer Befund.
      Mögliche Werte siehe `MassnahmenMakroBefundConstants`.
      Angabe: Muss (Max. 4 Listeneinträge erlaubt. Bei Auswahl von "ohne Befund" (ohne Befund) ist keine zusätzliche Auswahl erlaubt).
      ParameterID: 120523.
      Returns:
        MakroskopischerBefund

    - #### setMakroskopischerBefund

          public void setMakroskopischerBefund(String[] _makroskopischerBefund)

    - #### getInterventionspflichtig

          public String getInterventionspflichtig()

      Interventionspflichtige Komplikationen - Grundinformation/Komplikationen/Makroskopischer Befund.
      Mögliche Werte siehe `JaNeinTypConstants`.
      Angabe: Muss.
      ParameterID: 120524.
      Returns:
        Interventionspflichtig

    - #### setInterventionspflichtig

          public void setInterventionspflichtig(String _interventionspflichtig)

    - #### getInterKomplikationJa

          public String getInterKomplikationJa()

      Komplikationsart - Grundinformation/Komplikationen/Makroskopischer Befund.
      Mögliche Werte siehe `KomplikationsartConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn Interventionspflichtig "Ja" (Ja) ist. Ansonsten ist keine Eingabe erlaubt).
      ParameterID: 120525.
      Returns:
        InterKomplikationJa

    - #### setInterKomplikationJa

          public void setInterKomplikationJa(String _interKomplikationJa)

    - #### getBehandlung

          public String getBehandlung()

      Behandlung - Grundinformation/Komplikationen/Makroskopischer Befund.
      Mögliche Werte siehe `BehandlungConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn Interventionspflichtig "Ja" (Ja) ist. Ansonsten ist keine Eingabe erlaubt).
      ParameterID: 120526.
      Returns:
        Behandlung

    - #### setBehandlung

          public void setBehandlung(String _behandlung)

    - #### getAusgang

          public String getAusgang()

      Ausgang - Grundinformation/Komplikationen/Makroskopischer Befund.
      Mögliche Werte siehe `AusgangConstants`.
      Angabe: Bedingt (Muss angegeben werden, wenn Interventionspflichtig "Ja" (Ja) ist. Ansonsten ist keine Eingabe erlaubt).
      ParameterID: 120527.
      Returns:
        Ausgang

    - #### setAusgang

          public void setAusgang(String _ausgang)

    - #### getUntersuchungsergebnisse

          public DatenblattKoloskopieUntersuchungsergebnisse getUntersuchungsergebnisse()

      Untersuchungsergebnisse.
      Angabe: Bedingt (Muss angegeben werden, wenn Makroskopischer Befund ungleich ohne Befund (ohne Befund) ist. Ansonsten ist keine Eingabe erlaubt).
      ParameterID: 120560.
      Returns:
        Untersuchungsergebnisse

    - #### setUntersuchungsergebnisse

          public void setUntersuchungsergebnisse(DatenblattKoloskopieUntersuchungsergebnisse untersuchungsergebnisse)